#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# Check for required Deb Packages to run the script.
# Arguments:
#  None
#######################################
check_pkgs() {
  apt-get update -y > /dev/null 2>&1

  if [[ -z "$(command -v batcat || true)" ]]; then
    apt-get install -y --no-install-recommends bat
  fi

  if [[ -z "$(command -v lsb_release || true)" ]]; then
    apt-get install -y --no-install-recommends lsb-release
  fi

  if [[ -z "$(command -v debootstrap || true)" ]]; then
    if grep -RqsE '^[[:space:]]*deb .*backports' /etc/apt/sources.list /etc/apt/sources.list.d; then
      # shellcheck disable=SC2155
      declare codename=$(lsb_release -sc)
      apt-get install -y -t "${codename}-backports" debootstrap
    else
      apt-get install -y debootstrap
    fi
  fi

  if [[ ! -f /usr/share/live/build/VERSION ]]; then
    apt-get install -y live-build
  fi

  if [[ "${VAR_HANDLER_AUTOBUILD}" == false ]]; then
    if [[ -z "$(command -v dialog || true)" ]]; then
      apt-get install -y --no-install-recommends dialog
    fi
  fi

  if [[ -z "$(command -v mkpasswd || true)" ]]; then
    apt-get install -y --no-install-recommends whois
  fi
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
